#CybotCookiebotDialogPoweredbyCybot {
  display: none;
}

#CybotCookiebotDialog {
  max-width: 100% !important;
  transform: none !important;
  top: initial !important;
  bottom: 0 !important;
  left: 0 !important;
  width: 100% !important;
  border-radius: 12px 12px 0 0 !important;
  /* Bordes redondeados en la parte superior */
}

/* Ajustes del pie del banner */
#CybotCookiebotDialog.CybotEdge #CybotCookiebotDialogFooter {
  padding: 0 15px !important;
  max-width: 230px !important;
  min-width: 230px !important;
}

/* ===== Estilos responsivos ===== */

/* Ajustes para pantallas medianas (hasta 1280px) */
@media screen and (max-width: 1280px) {
  #CybotCookiebotDialog.CybotEdge #CybotCookiebotDialogFooter {
    padding: 24px 15px !important;
    max-width: 230px !important;
    min-width: 230px !important;
  }
}

/* Ajustes para pantallas pequeÃ±as (hasta 768px) */
@media screen and (max-width: 768px) {
  #CybotCookiebotDialog.CybotEdge #CybotCookiebotDialogFooter {
    padding: 12px 15px !important;
    max-width: 100% !important;
    /* El pie ocupa todo el ancho */
    min-width: 100% !important;
  }
}

/* Ajustes para pantallas grandes (desde 768px) */
@media screen and (min-width: 768px) {

  #CybotCookiebotDialog.CybotEdge .CybotCookiebotDialogContentWrapper {
    flex-direction: row !important;
    /* Orden horizontal del contenido */
    margin: 0 auto !important;
    max-width: 100% !important;
    position: relative !important;
  }


  #CybotCookiebotDialog.CybotEdge #CybotCookiebotDialogTabContent {
    max-width: calc(100% - 200px) !important;
    /* Espacio reservado para otros elementos */
  }
}

/* ===== Ajustes de visibilidad ===== */

/* Ocultar el logo y elementos inferiores del banner */
#CybotCookiebotDialog #CybotCookiebotDialogHeader,
#CybotCookiebotDialog .CybotCookiebotDialogBodyBottomWrapper {
  display: none !important;
}

/* ===== Estilos de botones ===== */

/* Contenedor de botones del banner de cookies */
#CybotCookiebotDialog #CybotCookiebotDialogBodyButtonsWrapper {
  display: flex !important;
  flex-direction: column !important;
  /* Botones en columna */
  justify-content: space-between !important;
  gap: 12px 0px !important;
  /* Espaciado vertical entre los botones */
}

/* Ajuste del espaciado entre botones en pantallas pequeÃ±as */
@media screen and (max-width: 768px) {
  #CybotCookiebotDialog #CybotCookiebotDialogBodyButtonsWrapper {
    gap: 8px 0px !important;
    /* Espaciado reducido */
  }
}

/* Estilos individuales de los botones */
#CybotCookiebotDialog #CybotCookiebotDialogBodyButtonsWrapper button {
  padding: 0px 8px !important;
  border-radius: 4px !important;
  /* Bordes redondeados de los botones */
  height: 33px;
  margin: 0 !important;
  max-width: 100% !important;
  font-size: 15px !important;
  width: 100% !important;
  border: 0px !important;
  /* Sin borde */
}

/* Orden de los botones en el contenedor */

#CybotCookiebotDialog #CybotCookiebotDialogBodyButtonsWrapper #CybotCookiebotDialogBodyLevelButtonLevelOptinAllowAll {
  order: 1 !important;
}

#CybotCookiebotDialog #CybotCookiebotDialogBodyButtonsWrapper #CybotCookiebotDialogBodyLevelButtonCustomize {
  order: 2 !important;
}

#CybotCookiebotDialog #CybotCookiebotDialogBodyButtonsWrapper #CybotCookiebotDialogBodyButtonDecline {
  order: 3 !important;
}

/* ===== Fuente y diseÃ±o personalizado ===== */

/* Ajustes para pantallas pequeÃ±as (hasta 768px) */
@media screen and (max-width: 768px) {

  /* AÃ±adir padding al contenedor de desplazamiento */
  #CybotCookiebotDialog .CybotCookiebotScrollContainer {
    padding: 12px 15px !important;
  }

  /* Quitar padding del contenido principal */
  #CybotCookiebotDialog #CybotCookiebotDialogBodyContent {
    padding: 0 !important;
  }

  /* Ajustar tamaÃ±o de la fuente del tÃ­tulo */
  #CybotCookiebotDialog #CybotCookiebotDialogBodyContentTitle {
    font-size: 15px !important;
    line-height: 16.5px !important;
  }

  /* Limitar la altura del texto */
  #CybotCookiebotDialog #CybotCookiebotDialogBodyContentText {
    max-height: 78px !important;
  }

  /* Ajustar tamaÃ±o de fuente y altura de lÃ­nea en el texto y elementos internos */
  #CybotCookiebotDialog #CybotCookiebotDialogBodyContentText,
  #CybotCookiebotDialog #CybotCookiebotDialogBodyContentText * {
    font-size: 12px !important;
    line-height: 16.8px !important;
  }
}


.CookiesRegulationMessage__container--3ES {
  display: none !important;
}